import type * as express from 'express';
import pino from 'pino';
import { PubSubConfig, PubSubHandler } from '../types';
export interface PubSubCloudFunctionsConfig<Data, Context> extends Omit<PubSubConfig<Data, Context>, 'handler' | 'path'> {
    logger?: pino.LoggerOptions;
}
export declare type CloudFunctionFun = (req: express.Request, res: express.Response) => Promise<void>;
export declare function createPubSubCloudFunctions<Data = unknown, Context = unknown>(handler: PubSubHandler<Data, Context>, options?: PubSubCloudFunctionsConfig<Data, Context>): CloudFunctionFun;
